Skip to main content

List Monitor Checks

1 min read
get/monitor/{monitorId}/checks
Request example
Response
get/monitor/{monitorId}/checks

Authorization

Authorizationstringheaderrequired#
Bearer authentication header of the form Bearer <token>, where <token> is your API key.

Path parameters

monitorIdstringrequired#
The monitor ID

Query parameters

limitinteger#

Default: 25

Range: 1–100

offsetinteger#

Default: 0

Range: >= 0

statusenum<string>#
Filter checks by status.
Options:queuedrunningcompletedfailedpartialskipped_overlap

Responses

application/json
200
Monitor checks
successboolean#
dataobject[]#
Show child attributes
idstring#
monitorIdstring#
statusenum<string>#
Options:queuedrunningcompletedfailedpartialskipped_overlap
triggerenum<string>#
Options:scheduledmanual
scheduledForstring#
startedAtstring#
finishedAtstring#
estimatedCreditsinteger#
Upper-bound credits reserved for this check before Firecrawl knows how many pages changed and require judging.
reservedCreditsinteger#
actualCreditsinteger#
Final credits charged for this check after scrapes, crawls, and any changed-page judge calls complete.
billingStatusstring#
summaryobject#
Show child attributes
totalPagesinteger#
sameinteger#
changedinteger#
newinteger#
removedinteger#
errorinteger#
targetResultsany[]#
notificationStatusobject#
errorstring#
createdAtstring#
updatedAtstring#